#include <bits/stdc++.h>
using namespace std;

bool ima1(int x, int p)
{
    return (1<<p)&x;
}

long long f(int n, vector<int> a)
{
    int x = 0;
    for(int b = 31; b >= 0; b--)
    {
        int c = 0;
        for(int i = 0; i < n; i++)
        {
            c += ima1(a[i],b);
        }
        if(2*c>n)
        {
            x += (1<<b);
        }
    }
    long long s = 0;
    for(int i = 0; i < n; i++)
        s += a[i]^x;
    return s;

}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n,m; cin >> n >> m;
    vector<vector<int>> a(n,vector<int>(m));
    for(int i = 0; i < n; i++) for(int j =0; j < m; j++) cin >> a[i][j];

    for(int i = n - 1; i > 0; i--)
    {
        for(int j = 0; j < m - 1; j++)
        {
            a[i-1][j+1] ^= a[i][j];
        }
    }
/*
    for(int i = 0; i < n; i++)
    {
        for(int j = 0; j < m; j++) cout << a[i][j] << " ";
        cout << '\n';
    }
*/

    vector<int> b;
    for(int j = 0; j < m; j++) b.push_back(a[0][j]);
    for(int i = 1; i < n; i++) b.push_back(a[i][m-1]);
    cout << f(n+m-1,b);

}